use directories::ProjectDirs;
use std::path::Path;
use thiserror::Error;

pub fn calc_file_hash(path: &Path) -> Option<u64> {
    unimplemented!()
}

pub fn archive_directory(src: &Path, dst: &Path) -> Result<(), Box<dyn std::error::Error>> {
    unimplemented!()
}

pub fn archive_file(src: &Path, dst: &Path) -> Result<(), Box<dyn std::error::Error>> {
    unimplemented!()
}

pub fn unarchive_directory(src: &Path, dst: &Path) -> Result<(), Box<dyn std::error::Error>> {
    unimplemented!()
}

pub fn unarchive_file(src: &Path, dst: &Path) -> Result<(), Box<dyn std::error::Error>> {
    unimplemented!()
}

pub fn get_project_dirs() -> Result<ProjectDirs, ProjectDirError> {
    ProjectDirs::from("dev", "musuka", "save-sync").ok_or(ProjectDirError::HomeNotSet)
}

#[derive(Error, Debug)]
pub enum ProjectDirError {
    #[error("$HOME is not set")]
    HomeNotSet,
}
